"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const ResultCtaButton_1 = tslib_1.__importDefault(require("../ResultCtaButton/ResultCtaButton"));
// const flattenRequestFilters: any = (result: any, key: any) => {
//   return Object.keys(result).reduce((res: any, el: any) => {
//     if (el === key) {
//       if (typeof result[el] === 'string') {
//         return [...res, result[el]];
//       } else if (Array.isArray(result[el])) {
//         return [...res, ...result[el]];
//       }
//     }
//     if (typeof result[el] === 'object' && result[el] !== null) {
//       return [...res, ...flattenRequestFilters(result[el], key)]
//     }
//     return res;
//   }, [])
// }
// Code used to flatten facets and extract the key. TBD if we are using it for facet pills
function ResultHeroCard(props) {
    var _a, _b;
    const { heroItem } = props;
    return (react_1.default.createElement("div", { className: 'cio-hero-card' },
        react_1.default.createElement("img", { className: 'cio-hero-card-image', src: (_a = heroItem === null || heroItem === void 0 ? void 0 : heroItem.data) === null || _a === void 0 ? void 0 : _a.image_url, alt: 'product' }),
        react_1.default.createElement("div", { className: 'cio-hero-card-contents' },
            react_1.default.createElement("div", { className: 'cio-hero-card-title' }, "Especially Curated For You!"),
            react_1.default.createElement("h2", { className: 'cio-hero-card-item-name' }, heroItem === null || heroItem === void 0 ? void 0 : heroItem.value),
            react_1.default.createElement("div", { className: 'cio-hero-card-item-price' },
                "$", (_b = heroItem === null || heroItem === void 0 ? void 0 : heroItem.data) === null || _b === void 0 ? void 0 :
                _b.price),
            react_1.default.createElement("p", { className: 'cio-hero-card-item-description' }),
            react_1.default.createElement(ResultCtaButton_1.default, { item: [heroItem] }))));
}
exports.default = ResultHeroCard;
