"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
function ResultsHeaderContainer({ resultsConfig }) {
    var _a, _b, _c, _d;
    let resultsTitle = '';
    let resultsDescription = '';
    if (resultsConfig === null) {
        resultsTitle = 'Here are your results';
    }
    if ((_a = resultsConfig === null || resultsConfig === void 0 ? void 0 : resultsConfig.desktop.title) === null || _a === void 0 ? void 0 : _a.is_active) {
        resultsTitle = (_b = resultsConfig.desktop.title.text) !== null && _b !== void 0 ? _b : '';
    }
    if ((_c = resultsConfig === null || resultsConfig === void 0 ? void 0 : resultsConfig.desktop.description) === null || _c === void 0 ? void 0 : _c.is_active) {
        resultsDescription = (_d = resultsConfig.desktop.description.text) !== null && _d !== void 0 ? _d : '';
    }
    const hasContent = !!(resultsTitle || resultsDescription);
    return hasContent ? (react_1.default.createElement("div", { className: 'cio-results-title-container' },
        react_1.default.createElement("h1", { className: 'cio-results-title' }, resultsTitle),
        react_1.default.createElement("p", { className: 'cio-results-description' }, resultsDescription))) : null;
}
exports.default = ResultsHeaderContainer;
