"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const context_1 = tslib_1.__importDefault(require("../CioQuiz/context"));
const ShareButton_1 = tslib_1.__importDefault(require("../ShareButton/ShareButton"));
function ResultFiltersAndShare({ onShare, numberOfResults, showShareButton, }) {
    var _a;
    const { state } = (0, react_1.useContext)(context_1.default);
    const matchedOptions = ((_a = state === null || state === void 0 ? void 0 : state.quiz) === null || _a === void 0 ? void 0 : _a.matchedOptions) || [];
    return (react_1.default.createElement("div", { className: 'cio-results-filter-and-redo-container cio-results-button-group' },
        react_1.default.createElement("div", { className: 'cio-results-filter-container' }, !!matchedOptions.length && (react_1.default.createElement("p", { className: 'cio-results-explanation' },
            "Based on your answers ",
            react_1.default.createElement("span", null, matchedOptions.join(', ')),
            " we recommend these matches."))),
        react_1.default.createElement("div", { className: 'cio-results-number-and-share-button-group' },
            numberOfResults,
            " ",
            numberOfResults === 1 ? 'result' : 'results',
            showShareButton && react_1.default.createElement(ShareButton_1.default, { onClick: onShare }))));
}
exports.default = ResultFiltersAndShare;
