"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
function useAddToFavoritesButtonProps(addToFavorites, favoriteItems) {
    const isResultFavorited = (result) => { var _a, _b; return ((_a = result === null || result === void 0 ? void 0 : result.data) === null || _a === void 0 ? void 0 : _a.id) && (favoriteItems === null || favoriteItems === void 0 ? void 0 : favoriteItems.includes((_b = result === null || result === void 0 ? void 0 : result.data) === null || _b === void 0 ? void 0 : _b.id)); };
    const getAddToFavoritesButtonProps = (0, react_1.useCallback)((result, price) => ({
        className: `${'cio-result-card-favorites-button'} ${isResultFavorited(result) ? 'favorited' : ''}`,
        onClick: (e) => {
            addToFavorites(e, result, price, !isResultFavorited(result));
        },
        type: 'button',
    }), 
    // eslint-disable-next-line react-hooks/exhaustive-deps
    [addToFavorites]);
    return getAddToFavoritesButtonProps;
}
exports.default = useAddToFavoritesButtonProps;
